      program example27b_client
      include 'mpif.h'
      integer rank, ierr, intercomm
      character*(MPI_MAX_PORT_NAME) port_name
      call MPI_LOOKUP_NAME("example", MPI_INFO_NULL, port_name,
     &                     ierr)
      call MPI_COMM_CONNECT(port_name, MPI_INFO_NULL, 0,
     &                      MPI_COMM_SELF, intercomm, ierr)
      call MPI_COMM_RANK(MPI_COMM_WORLD, rank, ierr)
      call MPI_SEND(rank, 1, MPI_INTEGER, 0, 0, intercomm, ierr)
      call MPI_FINALIZE(ierr)
      end
